> ## Documentation Index
> Fetch the complete documentation index at: https://openphone-dev.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List conversations

> Get a paginated list of the organization's conversations, most recently created first.



## OpenAPI

````yaml https://openphone-public-api-dev.s3.us-west-2.amazonaws.com/public/openphone-public-api-2026-03-30-dev.json get /conversations
openapi: 3.1.0
info:
  title: Quo Public API
  version: 1.0.0
  description: API for connecting with Quo.
  contact:
    name: Quo Support
    email: support@quo.com
    url: https://support.quo.com/
  termsOfService: https://www.quo.com/terms
servers:
  - description: Development server
    url: https://dev-public-api.openphone.dev
security:
  - apiKey: []
tags:
  - description: Operations related to calls
    name: Calls
  - description: >-
      Operations related to call summaries, including AI-generated summaries and
      Sona voice assistant summaries
    name: Call Summaries
  - description: >-
      Operations related to call transcripts, including AI-generated transcripts
      and Sona voice assistant transcripts
    name: Call Transcripts
  - description: Operations related to contacts
    name: Contacts
  - description: Operations related to contact shares
    name: Contact Shares
  - description: Operations related to contact notes
    name: Contact Notes
  - description: Operations related to contact properties
    name: Contact Properties
  - description: Operations related to conversations
    name: Conversations
  - description: Operations related to workspace invitations
    name: Invites
  - description: Operations related to text messages
    name: Messages
  - description: Operations related to the organization
    name: Organization
  - description: Operations related to phone numbers
    name: Phone Numbers
  - description: Operations related to users
    name: Users
  - description: Operations related to webhooks
    name: Webhooks
  - description: >-
      Operations related to webhook events, including delivery history and test
      events
    name: Webhook Events
paths:
  /conversations:
    get:
      tags:
        - Conversations
      summary: List conversations
      description: >-
        Get a paginated list of the organization's conversations, most recently
        created first.
      operationId: listConversationsHeaderVersioned
      parameters:
        - in: query
          name: limit
          required: false
          schema:
            description: Max number of items to return per page.
            default: 10
            maximum: 50
            minimum: 1
            type: integer
        - in: query
          name: after
          required: false
          schema:
            examples:
              - eyJsYXN0SWQiOiJVU211a09NaXBhIn0
            type: string
          example: eyJsYXN0SWQiOiJVU211a09NaXBhIn0
        - in: header
          name: Quo-Api-Version
          required: true
          schema:
            type: string
            enum:
              - '2026-03-30'
            description: 'API version header. Supported values: 2026-03-30'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                required:
                  - data
                  - nextCursor
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      required:
                        - assignedTo
                        - createdAt
                        - deletedAt
                        - id
                        - lastActivityAt
                        - lastActivityId
                        - mutedUntil
                        - name
                        - participants
                        - phoneNumberId
                        - snoozedUntil
                        - updatedAt
                      properties:
                        assignedTo:
                          anyOf:
                            - description: >-
                                The unique identifier of the user or system user
                                the conversation is assigned to.
                              examples:
                                - US123abc
                                - SYU123abc
                              example: US123abc
                              anyOf:
                                - pattern: ^US(.*)$
                                  type: string
                                - pattern: ^SYU(.*)$
                                  type: string
                            - type: 'null'
                        createdAt:
                          anyOf:
                            - format: date-time
                              type: string
                            - type: 'null'
                        deletedAt:
                          anyOf:
                            - format: date-time
                              type: string
                            - type: 'null'
                        id:
                          description: The unique identifier of the conversation.
                          examples:
                            - CN123abc
                          pattern: ^CN(.*)$
                          type: string
                          example: CN123abc
                        lastActivityAt:
                          anyOf:
                            - format: date-time
                              type: string
                            - type: 'null'
                        lastActivityId:
                          anyOf:
                            - description: >-
                                The unique identifier of the most recent
                                activity in the conversation.
                              examples:
                                - AC123abc
                              pattern: ^AC(.*)$
                              type: string
                              example: AC123abc
                            - type: 'null'
                        mutedUntil:
                          anyOf:
                            - format: date-time
                              type: string
                            - type: 'null'
                        name:
                          anyOf:
                            - description: >-
                                The custom name of the conversation. Will be
                                null if no custom name is set.
                              examples:
                                - Chat with customer
                              type: string
                              example: Chat with customer
                            - type: 'null'
                        participants:
                          description: >-
                            An array of phone numbers involved in the call,
                            excluding your Quo number. Each number is either a
                            phone number in E.164 format, a short code (5-6
                            digits, no country code), or a non-phone-number
                            caller ID (`Anonymous`, `Blocked`, or `Restricted`).
                          type: array
                          items:
                            description: >-
                              A phone number in E.164 format, a short code (5-6
                              digits, no country code), or a non-phone-number
                              caller ID (`Anonymous`, `Blocked`, or
                              `Restricted`).
                            examples:
                              - '+15555555555'
                              - '12345'
                              - Anonymous
                            pattern: >-
                              ^(?:\+[1-9]\d{1,14}|\d{5,6}|[aA](?:nonymous|NONYMOUS)|[bB](?:locked|LOCKED)|[rR](?:estricted|ESTRICTED))$
                            type: string
                            example: '+15555555555'
                        phoneNumberId:
                          description: >-
                            The unique identifier of the Quo phone number
                            associated with the conversation.
                          examples:
                            - PN123abc
                          pattern: ^PN(.*)$
                          type: string
                          example: PN123abc
                        snoozedUntil:
                          anyOf:
                            - format: date-time
                              type: string
                            - type: 'null'
                        updatedAt:
                          anyOf:
                            - format: date-time
                              type: string
                            - type: 'null'
                  nextCursor:
                    description: >-
                      Cursor for the next page, or null when there are no more
                      pages.
                    examples:
                      - eyJsYXN0SWQiOiJVU211a09NaXBhIn0
                    example: eyJsYXN0SWQiOiJVU211a09NaXBhIn0
                    anyOf:
                      - type: string
                      - type: 'null'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                required:
                  - message
                  - docs
                  - title
                properties:
                  message:
                    type: string
                  docs:
                    const: https://quo.com/docs
                    type: string
                  title:
                    const: Bad Request
                    type: string
                  trace:
                    type: string
                  errors:
                    type: array
                    items:
                      type: object
                      required:
                        - path
                        - message
                        - schema
                      properties:
                        path:
                          type: string
                        message:
                          type: string
                        value: {}
                        schema:
                          type: object
                          required:
                            - type
                          properties:
                            type:
                              type: string
              example:
                message: The input was invalid
                docs: https://quo.com/docs
                title: Bad Request
                errors:
                  - path: /conversationId
                    message: Expected string to match '^CN(.*)$'
                    value: abc123
                    schema:
                      type: TemplateLiteral
                      pattern: ^CN(.*)$
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                required:
                  - message
                  - docs
                  - title
                properties:
                  message:
                    type: string
                  docs:
                    const: https://quo.com/docs
                    type: string
                  title:
                    const: Unauthorized
                    type: string
                  trace:
                    type: string
                  errors:
                    type: array
                    items:
                      type: object
                      required:
                        - path
                        - message
                        - schema
                      properties:
                        path:
                          type: string
                        message:
                          type: string
                        value: {}
                        schema:
                          type: object
                          required:
                            - type
                          properties:
                            type:
                              type: string
              example:
                message: Unauthorized
                docs: https://quo.com/docs
                title: Unauthorized
                trace: '6897907457496870895'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                type: object
                required:
                  - message
                  - docs
                  - title
                properties:
                  message:
                    type: string
                  docs:
                    const: https://quo.com/docs
                    type: string
                  title:
                    const: Forbidden
                    type: string
                  trace:
                    type: string
                  errors:
                    type: array
                    items:
                      type: object
                      required:
                        - path
                        - message
                        - schema
                      properties:
                        path:
                          type: string
                        message:
                          type: string
                        value: {}
                        schema:
                          type: object
                          required:
                            - type
                          properties:
                            type:
                              type: string
              example:
                message: User is forbidden to perform this action
                docs: https://quo.com/docs
                title: Forbidden
                trace: '6897907457496870895'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
                required:
                  - message
                  - docs
                  - title
                properties:
                  message:
                    type: string
                  docs:
                    const: https://quo.com/docs
                    type: string
                  title:
                    const: Not Found
                    type: string
                  trace:
                    type: string
                  errors:
                    type: array
                    items:
                      type: object
                      required:
                        - path
                        - message
                        - schema
                      properties:
                        path:
                          type: string
                        message:
                          type: string
                        value: {}
                        schema:
                          type: object
                          required:
                            - type
                          properties:
                            type:
                              type: string
              example:
                message: Conversation not found
                docs: https://quo.com/docs
                title: Not Found
                trace: '6897907457496870895'
        '500':
          description: Unknown Error
          content:
            application/json:
              schema:
                type: object
                required:
                  - message
                  - docs
                  - title
                properties:
                  message:
                    type: string
                  docs:
                    const: https://quo.com/docs
                    type: string
                  title:
                    const: Unknown
                    type: string
                  trace:
                    type: string
                  errors:
                    type: array
                    items:
                      type: object
                      required:
                        - path
                        - message
                        - schema
                      properties:
                        path:
                          type: string
                        message:
                          type: string
                        value: {}
                        schema:
                          type: object
                          required:
                            - type
                          properties:
                            type:
                              type: string
              example:
                message: We have encountered an unknown error
                docs: https://quo.com/docs
                title: Unknown
                trace: '6897907457496870895'
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      in: header
      name: Authorization
      type: apiKey

````